package tech.nevets.jaml.gui;

import tech.nevets.jaml.Config;
import tech.nevets.jaml.JAML;

import javax.swing.*;
import java.awt.*;

public class GuiHandler {

    public static final int SCREEN_WIDTH = (int) Toolkit.getDefaultToolkit().getScreenSize().getWidth();
    public static final int SCREEN_HEIGHT = (int) Toolkit.getDefaultToolkit().getScreenSize().getHeight();

    private static StartupGui startupFrame;

    public GuiHandler() {
        if (Config.getConfig().getBoolean("launcher.first-launch")) {
            FirstLaunchGui firstLaunchGui = new FirstLaunchGui();
            Thread firstLaunchThread = new Thread(firstLaunchGui);
            firstLaunchThread.start();
        }

        startupFrame.dispose();

        Thread homeGuiThread = new Thread(() -> {
            HomeGui frame = new HomeGui();
            frame.setTitle("JAML");
            frame.setIconImage(new ImageIcon(JAML.path + "\\assets\\icon.png").getImage());
            frame.setLocationRelativeTo(null);
            frame.setVisible(true);
        });
        homeGuiThread.start();

    }

    public static void startup() {
        startupFrame = new StartupGui();
    }

    public void startNewProfileGui() {
        Thread newProfileGuiThread = new Thread(() -> {
            NewProfileGui frame = new NewProfileGui();
            frame.setTitle("Create New Profile");
            frame.setIconImage(new ImageIcon(JAML.path + "\\assets\\icon.png").getImage());
            frame.setVisible(true);
        });
        newProfileGuiThread.start();
    }

}
